Skip to main content
POST
/
v1
/
customers
curl --request POST \
  --url https://api.sandbox.busha.so/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "johninu@busha.co",
  "has_accepted_terms": true,
  "type": "individual",
  "country_id": "NG",
  "phone": "+2348012345678",
  "birth_date": "24-12-1990",
  "first_name": "John",
  "last_name": "Doe",
  "address": {
    "street": "123 Main Street",
    "city": "Lagos",
    "state": "Lagos",
    "postal_code": "100211",
    "country": "NG"
  }
}
'
{
  "status": "success",
  "message": "message for success",
  "data": {
    "first_name": "John",
    "last_name": "John",
    "id": "bus_123456789",
    "business_id": "bus_123456789",
    "email": "bCnW7@example.com",
    "status": "active",
    "country_id": "NG",
    "type": "individual",
    "phone": "+2348012345678",
    "address": {
      "country_id": "NG",
      "address_line_1": "RT Lawal",
      "city": "Lekki",
      "state": "Lagos",
      "county": "Mombasa",
      "address_line_2": "",
      "province": "province",
      "postal_code": "12345"
    },
    "display_currency": "BTC",
    "deposit": true,
    "payout": true,
    "has_accepted_terms_of_service": true,
    "level": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "middle_name": "Smith",
    "rejection_reasons": [
      "<string>"
    ],
    "requirements_due": [
      "<string>"
    ],
    "future_requirements_due": [
      "<string>"
    ],
    "beneficial_owners": [
      {
        "id": "<string>",
        "email": "bCnW7@example.com"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Body

application/json

Customer details needed to create a new customer.

Individual name requirements

email
string<email>
required

A valid email address

Example:

"bCnW7@example.com"

has_accepted_terms
boolean
required

Indicates whether the customer has explicitly accepted the terms and conditions

type
enum<string>
required
Available options:
individual,
business
country_id
string<alpha2>
required

A valid country id

Required string length: 2
Example:

"NG"

phone
string<phone>
required

A valid phone number. format {{calling_code}}{{number}}

Example:

"+2348012345678"

birth_date
string
required

date of birth of the user

Example:

"24-12-2000"

address
object
required

Address of the business.

first_name
string
required

A valid name

Example:

"John"

last_name
string
required

A valid name

Example:

"John"

identifying_information
object[]

List of identification documents provided by the customer

Maximum array length: 5
documents
object[]

Additional supporting documents provided by the customer

Maximum array length: 10
middle_name
string | null

A field representing a name that can be null or absent.

Example:

"Smith"

Response

Successful response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required

Individual name requirements